# GimpUi.ColorHexEntry

    const GimpUi = imports.gi.GimpUi;

    let colorHexEntry = new GimpUi.ColorHexEntry();

Widget for entering a color's hex triplet. The syntax follows CSS and SVG specifications, which means that only sRGB colors are supported.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - GimpUi.ColorHexEntry

## Constructors

- GimpUi.ColorHexEntry.new

## Methods

- GimpUi.ColorHexEntry.prototype.get_color
- GimpUi.ColorHexEntry.prototype.set_color

## Signals

- color-changed